## org.eclipse.datatools.connectivity.oda.design
Class OdaScalarDataType

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.connectivity.oda.design.OdaScalarDataType

    public final class OdaScalarDataType

extends AbstractEnumerator

A representation of the literals of the enumeration 'Oda Scalar Data Type', and utility methods for working with them. ODA scalar data types.

See Also:
  `DesignPackage.getOdaScalarDataType()`

Field Summary
`static int` `BLOB` The 'Blob' literal value.
`static OdaScalarDataType` `BLOB_LITERAL` The 'Blob' literal object.
`static int` `BOOLEAN` The 'Boolean' literal value.
`static OdaScalarDataType` `BOOLEAN_LITERAL` The 'Boolean' literal object.
`static int` `CLOB` The 'Clob' literal value.
`static OdaScalarDataType` `CLOB_LITERAL` The 'Clob' literal object.
`static java.lang.String` `copyright`
`static int` `DATE` The 'Date' literal value.
`static OdaScalarDataType` `DATE_LITERAL` The 'Date' literal object.
`static int` `DECIMAL` The 'Decimal' literal value.
`static OdaScalarDataType` `DECIMAL_LITERAL` The 'Decimal' literal object.
`static int` `DOUBLE` The 'Double' literal value.
`static OdaScalarDataType` `DOUBLE_LITERAL` The 'Double' literal object.
`static int` `INTEGER` The 'Integer' literal value.
`static OdaScalarDataType` `INTEGER_LITERAL` The 'Integer' literal object.
`static int` `STRING` The 'String' literal value.
`static OdaScalarDataType` `STRING_LITERAL` The 'String' literal object.
`static int` `TIME` The 'Time' literal value.
`static OdaScalarDataType` `TIME_LITERAL` The 'Time' literal object.
`static int` `TIMESTAMP` The 'Timestamp' literal value.
`static OdaScalarDataType` `TIMESTAMP_LITERAL` The 'Timestamp' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Oda Scalar Data Type' enumerators.

Method Summary
`static OdaScalarDataType` `get(int value)` Returns the 'Oda Scalar Data Type' literal with the specified integer value.
`static OdaScalarDataType` `get(java.lang.String literal)` Returns the 'Oda Scalar Data Type' literal with the specified literal value.
`static OdaScalarDataType` `getByName(java.lang.String name)` Returns the 'Oda Scalar Data Type' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

### DATE

    public static final int DATE

  The 'Date' literal value.

  See Also:
    `DATE_LITERAL`, Constant Field Values

### DOUBLE

    public static final int DOUBLE

  The 'Double' literal value.

  See Also:
    `DOUBLE_LITERAL`, Constant Field Values

### INTEGER

    public static final int INTEGER

  The 'Integer' literal value.

  See Also:
    `INTEGER_LITERAL`, Constant Field Values

### STRING

    public static final int STRING

  The 'String' literal value.

  See Also:
    `STRING_LITERAL`, Constant Field Values

### TIME

    public static final int TIME

  The 'Time' literal value.

  See Also:
    `TIME_LITERAL`, Constant Field Values

### TIMESTAMP

    public static final int TIMESTAMP

  The 'Timestamp' literal value.

  See Also:
    `TIMESTAMP_LITERAL`, Constant Field Values

### DECIMAL

    public static final int DECIMAL

  The 'Decimal' literal value.

  See Also:
    `DECIMAL_LITERAL`, Constant Field Values

### BLOB

    public static final int BLOB

  The 'Blob' literal value.

  See Also:
    `BLOB_LITERAL`, Constant Field Values

### CLOB

    public static final int CLOB

  The 'Clob' literal value.

  See Also:
    `CLOB_LITERAL`, Constant Field Values

### BOOLEAN

    public static final int BOOLEAN

  The 'Boolean' literal value.

  If the meaning of 'Boolean' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BOOLEAN_LITERAL`, Constant Field Values

### DATE_LITERAL

    public static final OdaScalarDataType DATE_LITERAL

  The 'Date' literal object.

  See Also:
    `DATE`

### DOUBLE_LITERAL

    public static final OdaScalarDataType DOUBLE_LITERAL

  The 'Double' literal object.

  See Also:
    `DOUBLE`

### INTEGER_LITERAL

    public static final OdaScalarDataType INTEGER_LITERAL

  The 'Integer' literal object.

  See Also:
    `INTEGER`

### STRING_LITERAL

    public static final OdaScalarDataType STRING_LITERAL

  The 'String' literal object.

  See Also:
    `STRING`

### TIME_LITERAL

    public static final OdaScalarDataType TIME_LITERAL

  The 'Time' literal object.

  See Also:
    `TIME`

### TIMESTAMP_LITERAL

    public static final OdaScalarDataType TIMESTAMP_LITERAL

  The 'Timestamp' literal object.

  See Also:
    `TIMESTAMP`

### DECIMAL_LITERAL

    public static final OdaScalarDataType DECIMAL_LITERAL

  The 'Decimal' literal object.

  See Also:
    `DECIMAL`

### BLOB_LITERAL

    public static final OdaScalarDataType BLOB_LITERAL

  The 'Blob' literal object.

  See Also:
    `BLOB`

### CLOB_LITERAL

    public static final OdaScalarDataType CLOB_LITERAL

  The 'Clob' literal object.

  See Also:
    `CLOB`

### BOOLEAN_LITERAL

    public static final OdaScalarDataType BOOLEAN_LITERAL

  The 'Boolean' literal object.

  See Also:
    `BOOLEAN`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Oda Scalar Data Type' enumerators.

Method Detail

### get

    public static OdaScalarDataType get(java.lang.String literal)

  Returns the 'Oda Scalar Data Type' literal with the specified literal value.

### getByName

    public static OdaScalarDataType getByName(java.lang.String name)

  Returns the 'Oda Scalar Data Type' literal with the specified name.

### get

    public static OdaScalarDataType get(int value)

  Returns the 'Oda Scalar Data Type' literal with the specified integer value.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.